Cocoon API: Class Browsers

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon
Class Browsers

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--org.apache.cocoon.Browsers

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, Configurable, java.util.List, java.io.Serializable, Status

public class Browsers
extends java.util.Vector
implements Configurable, Status

This inner class is used to store the mapping between browser names and those signature fragments used for mapping.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:16 $
Author:
  Stefano Mazzocchi
See Also:
  Serialized Form

Inner Class Summary
`class` | `Browsers.Browser` Inner class that contains single browser information.

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Browsers()`

Method Summary
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.
`void` | `init(Configurations conf)` Initialize the map with the mapping rules.
`java.lang.String` | `map(java.lang.String agent)` This method maps the "user-Agent" request parameter to a browser name following the search rules defined in the servlet properties.

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### Browsers

    public Browsers()

Method Detail

### init

    public void init(Configurations conf)
              throws InitializationException

  Initialize the map with the mapping rules.
  Specified by:
    `init` in interface `Configurable`

### map

    public java.lang.String map(java.lang.String agent)

  This method maps the "user-Agent" request parameter to a browser name following the search rules defined in the servlet properties.

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.